This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 708543 - Screen not always locked after suspend
Screen not always locked after suspend
Status: CLOSED DUPLICATE of bug 698135
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
15
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 710547 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 17:52 EDT by Jan Henrik Hasselberg
Modified: 2011-07-11 15:22 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-11 15:22:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Henrik Hasselberg 2011-05-27 17:52:51 EDT
Description of problem:
Computer often wake up from suspend without a locked screen in a vanilla install of Fedora 15 with GNOME 3. The screen lock setting is not altered and kept at default.

Version-Release number of selected component (if applicable):
$ gnome-power-manager --version
Version 3.0.0

How reproducible:
It varies. Computer seem to wake up without locked screen more often than locked screen after multiple suspend and wake up cycles.

Steps to Reproduce:
1. Regular usage of computer -> put to suspend.
2. Wake up computer.
3. Repeat 1-2.
  
Actual results:
Computer often wakes up without locked screen.

Expected results:
Computer wakes up with locked screen every time.

Additional info:

$ uname -a
Linux acerbox 2.6.38.6-27.fc15.i686 #1 SMP Sun May 15 17:57:13 UTC 2011 i686 i686 i386 GNU/Linux

Computer model: Acer Aspire One 522, ATI Radeon HD 6250.
Comment 1 Adam Williamson 2011-05-27 18:26:08 EDT
To confirm, I see this too, and it seems different from the regression in this function which happened for a bit during F15 pre-release. that regression stopped lock-on-suspend from *ever* working; now it seems intermittent. On my desktop it seems to be about 50/50. I haven't seen it come up unlocked on my laptop yet.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Ted W. 2011-05-29 21:16:15 EDT
I can confirm this as well on the following hardware:
Lenovo T61, Intel Intel 965GM, Intel Pro 3945
gnome-shell-3.0.2-1.fc15.x86_64
gnome-power-manager-3.0.0-3.fc15.x86_64
gnome-settings-daemon-3.0.1-4.fc15.x86_64

Also some additional experimentation have resulting in the following finds:

Suspend via laptop lid closing does not lock the screen
Suspend from menu button consistantly locks screen

Using Fedora 15, only change from vanilla install is package updates to current as of 2011-05-29.
Comment 3 Andrew Erber 2011-06-02 14:16:08 EDT
Confirmed on following hardware running Fedora 15 i686 release:

Lenovo E420S, Intel Core i5-2410M
gnome-power-manager-3.0.0-3.fc15.i686
gnome-shell-3.0.2-1.fc15.i686
gnome-settings-daemon-3.0.1-4.fc15.i686

Similar results to Ted Wood, except the screen only locks when gnome-power-manager suspends due to critical battery charge (>3%)
Comment 4 Michal Ambroz 2011-06-03 09:03:46 EDT
Hello, 
This is pretty much deterministic in my environment (HP EliteBook 6930p). 
If I press the sleep button (Fn-F3 on my notebook) the screen comes back unlocked if I switch-on the computer again.

If I go through the person (Right top corner) / Suspend - the screen comes unlocked and then locks within few seconds depending on how busy the machine is at the moment.

Testing this with terminal running "while true; do I=$((I+1));done" shows some really nasty results where the content of the screen is visible and sometimes even interactively available for time ranging from seconds to couple of minutes.

This is quite serious security issue.

Michal Ambroz
Comment 5 Sebastian Krämer 2011-06-04 06:45:02 EDT
Is #710547 is duplicate?

Does the screen locking work for you with the screensaver kicking in (without suspend)? For me it doesn't, I'm thinking about opening a seperate bug report for that..
Comment 6 Michal Ambroz 2011-06-15 11:27:01 EDT
(In reply to comment #5)
> Is #710547 is duplicate?
Yes #710547 is duplicate to #708543.
- Screen will not lock when using some hw key (lid close, FN-F3) or pm-suspend command directly. 
- Screen seems to lock when using Person (right top corner) / Suspend

 
> Does the screen locking work for you with the screensaver kicking in (without
> suspend)? For me it doesn't, I'm thinking about opening a seperate bug report
> for that..
Yes screen locking is working for me with the screen-saver.

Best regards
Michal Ambroz
Comment 7 Peter Rathlev 2011-06-20 18:33:42 EDT
Me too, on a ThinkPad T61p (6460D8G).

gnome-shell-3.0.2-1.fc15.x86_64
gnome-power-manager-3.0.0-3.fc15.x86_64
gnome-settings-daemon-3.0.1-6.fc15.x86_64
Linux abehat.dyn.net.rm.dk 2.6.38.7-30.fc15.x86_64 #1 SMP Fri May 27 05:15:53 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Same symptoms: Screen often doesn't lock when using hardware buttons to activate suspend (close lid, press "sleep" button (Fn+F4)) but does when using Suspend from the menu. Screensaver lock works fine.
Comment 8 dinyar.rabady+spam 2011-06-24 13:02:19 EDT
Same here on a Thinkpad x200s.
Comment 9 Nicola Soranzo 2011-06-28 08:50:32 EDT
*** Bug 710547 has been marked as a duplicate of this bug. ***
Comment 10 Need Real Name 2011-06-28 17:17:01 EDT
Also related: bug 697199, bug 643189, bug 643190

Seems like we are missing a check to see if the lock was successful before switching/suspending.
Comment 11 Peter Robinson 2011-06-28 18:28:27 EDT
Seeing this as well on my Dell E6410. This looks generic as opposed to some specific HW.
Comment 12 Nick Steeves 2011-06-29 08:22:30 EDT
I think bug 711733 is a duplicate of this bug.

Also, these look like the Suse and upstream version of this bug--both of which have been fixed.

https://bugzilla.novell.com/show_bug.cgi?id=691110
https://bugzilla.gnome.org/show_bug.cgi?id=650464

Gary Lin's patch is available on the gnome bugzilla.  To me, it looks like what we need.
Comment 13 Andrew Erber 2011-07-11 14:27:38 EDT
I think that this bug should be marked as a duplicate of bug #698135. The below thread resolves this issue. Specifically, see the 2011-04-25 post by mlaverdiere.

https://bugzilla.redhat.com/show_bug.cgi?id=698135
Comment 14 Adam Williamson 2011-07-11 15:22:24 EDT
Nice catch, Andrew. Thanks.

*** This bug has been marked as a duplicate of bug 698135 ***

Note You need to log in before you can comment on or make changes to this bug.